<?php
require_once('include.php');

echo<<<EOT
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>phpSQLiteAdmin</title>
	<meta http-equiv="expires" content="0">
	<script language="Javascript" src="javascript.txt" type="text/javascript"></script>
	<link href="phpsla.css" rel="stylesheet" type="text/css">
</head>
<body class=right>
<div id="pub">phpSQLiteAdmin 0.1</div>

<h3>Database:</h3>
EOT;

print_db_selector($current_db);

if (check_db()) {

$dbfile = new dbfile($current_db);
//print "<h3>Database information:</h3>\n";
print "<table id=\"dbinfotable\">\n";
//print "<tr><th>Table name</th><th>Action</th></tr>\n";
//print "<tr><td>Owner:</td><td>".$dbfile->uid.'/'.$dbfile->gid."</td></tr>\n";
print "<tr><td>Size:</td><td>".($dbfile->size/1024)."KB</td></tr>\n";
//print "<tr><td>Last change:</td><td>".date('d.m.Y - H:i:s',$dbfile->last_change)."</td></tr>\n";
print "<tr><td>Last modification:</td><td>".date($datetime_format,$dbfile->last_modification)."</td></tr>\n";
//print "<tr><td>Last access:</td><td>".date($datetime_format,$dbfile->last_access)."</td></tr>\n";
print "</table><br>\n";



print "<h3>Tables:</h3>\n";
$available_tables = get_tables($current_db);
print "<table id=\"tabletable\">\n";
print "<tr><th>Table name</th><th>Rows</th><th>Action</th></tr>\n";
while (list($key,$value) = each($available_tables)) {
        $table = new table($value);
	$table->get_number_of_rows();
	print "<tr><td>".$value."</td>\n";
	print "<td>{$table->number_of_rows}</td><td>\n";
	print_table_action_links($value);
	print "</td></tr>\n";
}
print "</table><br>\n";


/*
$available_indexes = get_indexes($current_db);
print "<table border=1 id=\"indextable\">\n";
print "<tr><th>Index name</th><th>Action</th></tr>\n";
while (list($key,$value) = each($available_indexes)) {
	print "<tr><td>".$value."</td><td>\n";
	print_index_action_links($value);
	print "</td></tr>\n";
}
print "</table>\n";
*/

print "<h3>Indexes:</h3>\n";
print "<table id=\"indextable\">\n";
print "<tr><th>Index</th><th>On table</th><th>Action</th></tr>\n";
$sth = sqlite_query($link,"select name,tbl_name from SQLITE_MASTER where type = 'index'");
while ($row = sqlite_fetch_array($sth,SQLITE_NUM)) {
	print "<tr><td>$row[0]</td><td>$row[1]</td><td>\n";
	print_index_action_links($row[0]);
	print "</td></tr>\n";
}
print "</table><br>\n";


print "<h3>Operations:</h3>\n";
print "<a href=\"dbaction.php?action=vacuum\" target=\"_top\" onclick=\"return confirm_vacuum_db();\">Vacuum Database</a>\n";


echo<<<EOT
<!--
<br>
<form action="table_create.php" method=post onsubmit="">
Create a new table named <input type=text name=tablename value="" size=30> with <input type=text name=columns value="" size=3> colums
<input type=submit name=submit value="Go">
</form>
<br>
<form action="index_create.php" method=post onsubmit="">
Create an index on table <input type=text name=columns value="" size=3>
<input type=submit name=submit value="Go">
</form>
-->
EOT;


} else {
        print "<p>The selected database is either read-only or does not exist</p>\n";
}
?>

</body>
</html>
